Overview | Modules | Class Hierarchy | Classes | Members
# GlShaderProgram.h File Reference `#include <GL/gl.h>` `#include <string>` `#include <map>` `#include <tulip/tulipconf.h>` `#include <tulip/Vector.h>` `#include <tulip/Matrix.h>` `#include <tulip/Color.h>` Include dependency graph for GlShaderProgram.h: This graph shows which files directly or indirectly include this file: ## Namespaces namespace tlp ## Classes class tlp::GlShader A class to manage shader objects, components of a shader program. More... class tlp::GlShaderProgram A class to manage OpenGL shader program. More... ## Enumerations enum tlp::ShaderType { tlp::Vertex, tlp::Fragment, tlp::Geometry }

Tulip Software by LaBRI Visualization Team 2001 - 2010